// 视图组件
const view = {
    tabs: () => import('@/pages/frame/view/template/TabsTemplateView'),
    blank: () => import('@/pages/frame/view/template/BlankTemplateView'),
    page: () => import('@/pages/frame/view/template/PageTemplateView'),
};

// 路由组件注册
const routerMap = {
    login: {
        authority: '*',
        path: '/login',
        component: () => import('@/pages/frame/view/login'),
    },
    root: {
        path: '/',
        name: '首页',
        redirect: '/login',
        component: view.tabs,
    },
    exp403: {
        authority: '*',
        name: '403错误',
        path: '403',
        component: () => import('@/pages/frame/view/exception/403'),
    },
    exp404: {
        name: '404错误',
        path: '404',
        component: () => import('@/pages/frame/view/exception/404'),
    },
    exp500: {
        name: '500错误',
        path: '500',
        component: () => import('@/pages/frame/view/exception/500'),
    },
    dashboard: {
        name: 'Dashboard',
        component: view.blank,
    },
    workbench: {
        name: '工作台',
        component: () => import('@/pages/dashboard/workbench'),
    },
    analysis: {
        name: '分析页',
        component: () => import('@/pages/dashboard/analysis'),
    },
    system_management: {
        name: '系统管理',
        component: view.page,
    },
    menu_management: {
        name: '菜单管理',
        component: () => import('@/pages/system/view/menu'),
    },
};
export default routerMap;
